<?php
	session_start();
	include "koneksi.php";
	date_default_timezone_set('Asia/Jakarta');

	switch ($_GET['proses']) 
	{
		case 'pendaftaran':
			$tanggalinput = $_POST['tanggal'];
			$waktuinput = $_POST['waktu'];

			$daftar_hari = array( 'Sunday' => 'Minggu', 'Monday' => 'Senin', 'Tuesday' => 'Selasa', 'Wednesday' => 'Rabu', 'Thursday' => 'Kamis', 'Friday' => 'Jumat', 'Saturday' => 'Sabtu' );
			$date = $tanggalinput;
			$namahari = date('l', strtotime($date));
			$hasilhari = $daftar_hari[$namahari];

			$jpasien = $_POST['jpasien'];
			$kodecarabayar = $_POST['kodecarabayar'];
			$namaasuransi = $_POST['namaasuransi'];
			$noasuransi = $_POST['noasuransi'];	
			$nomr = $_POST['nomr'];
			$noktp = $_POST['ktp'];
			$nobpjs = $_POST['nobpjs'];
			$namapasien = $_POST['namapasien'];
			$alamat = $_POST['alamat'];
			$tanggal_lahir = $_POST['tanggal_lahir'];
			$nohp = $_POST['nohp'];
			$kodepoli = $_POST['kodepoli'];
			$kodedokter = $_POST['kodedokter'];
			$waktu_pelayanan = $_POST['waktu_pelayanan'];
			$jadwal = $_POST['jadwal'];

			$query = "SELECT hari FROM jadwal WHERE kodejadwal = '$jadwal'";
			$hari = mysqli_query ($koneksi,$query);
			$hhari =  mysqli_fetch_array($hari);
			$hslhari = $hhari['hari'];

			$query = "SELECT waktuberakhir FROM jadwal WHERE kodejadwal = 'jadwal'";
			$wkt = mysqli_query ($koneksi,$query);
			$hwkt =  mysqli_fetch_array($wkt);
			$hslwkt = $hwkt['waktuberakhir'];

			$query = "SELECT max(nopendaftaran) as maxKode FROM pendaftaran where kodepoli='$kodepoli' AND kodecarabayar='$kodecarabayar' AND kodedokter='$kodedokter'";
			$hasil = mysqli_query ($koneksi,$query);
			$data = mysqli_fetch_array($hasil);
			$noPendaftaran = $data['maxKode'];
			$noUrut = (int) substr($noPendaftaran, 8, 3);
			$noUrut++;
			
			$query = "SELECT kodepoli from poliklinik where kodepoli ='$kodepoli'";
			$h = mysqli_query($koneksi,$query);
			$d = mysqli_fetch_array($h);
			$ppendaftaran = $d ['kodepoli'];
			$hppendaftaran = substr($ppendaftaran, 0,2);
			$char = "$hppendaftaran";

			$query = "SELECT (nama) as nama from carabayar where kodecarabayar ='$kodecarabayar' ";
			$ha = mysqli_query($koneksi,$query);
			$da	= mysqli_fetch_array($ha);
			$pjenispasien = $da['nama'];
			$hpjenispasien = substr($pjenispasien, 0,1);
			$charr = "$hpjenispasien";
			
			$query = "SELECT kodedokter from dokter where kodedokter ='$kodedokter'";
			$h = mysqli_query($koneksi,$query);
			$d = mysqli_fetch_array($h);
			$pdokter = $d ['kodedokter'];
			$hpdokter = substr($pdokter, 0,3);
			$charrrr = "$hpdokter";
			$charrr = "-";

			$noPendaftaran = $charr . $char . $charrrr . $charrr . sprintf("%03s", $noUrut);
			
			$finalhari = $hasilhari;
			$finalwaktu = $waktuinput;
			if ($finalhari == $hslhari ) : 
				if ($finalwaktu == $hslwkt) 
				{
					echo "daftar gagal";
				} else{
				$query = "INSERT INTO pendaftaran (tanggalinput,waktuinput,jpasien,kodecarabayar,namaasuransi,noasuransi,nopendaftaran,nomr,noktp,nobpjs,namapasien,alamat,tanggal_lahir,nohp,kodepoli,kodedokter,kodejadwal,waktu_pelayanan) 
							VALUES ('$tanggalinput','$waktuinput','$jpasien','$kodecarabayar','$namaasuransi','$noasuransi','$noPendaftaran','$nomr','$noktp','$nobpjs','$namapasien','$alamat','$tanggal_lahir','$nohp','$kodepoli','$kodedokter','$jadwal','$waktu_pelayanan')";
				$result = mysqli_query($koneksi, $query);
				if(!$result)
					{
	                      die ("Query gagal dijalankan: ".mysqli_errno($koneksi)." - ".mysqli_error($koneksi));
	                  } 
	                  else 
	                  {
	                    //tampil alert dan akan redirect ke halaman index.php
	                    //silahkan ganti index.php sesuai halaman yang akan dituju
	                    //echo "<script>alert('Data berhasil ditambah.');window.location='daftar.php';</script>";
	                    echo "Anda Berhasil Mendaftar <br>";
	                    echo	"No Pasien : $nomr <br>";
	                    echo	"Nama Pasien : $namapasien <br>";
	                    echo	"Poliklinik :$kodepoli <br>";
	                    echo "No Pendaftaran : $noPendaftaran <br>";
	                   
					  }	
				}
			else :
			
				$query = "INSERT INTO pendaftaran (tanggalinput,waktuinput,jpasien,kodecarabayar,namaasuransi,noasuransi,nopendaftaran,nomr,noktp,nobpjs,namapasien,alamat,tanggal_lahir,nohp,kodepoli,kodedokter,kodejadwal,waktu_pelayanan) 
							VALUES ('$tanggalinput','$waktuinput','$jpasien','$kodecarabayar','$namaasuransi','$noasuransi','$noPendaftaran','$nomr','$noktp','$nobpjs','$namapasien','$alamat','$tanggal_lahir','$nohp','$kodepoli','$kodedokter','$jadwal','$waktu_pelayanan')";
				$result = mysqli_query($koneksi, $query);
				if(!$result)
					{
	                      die ("Query gagal dijalankan: ".mysqli_errno($koneksi)." - ".mysqli_error($koneksi));
	                  } 
	                  else 
	                  {
	                    //tampil alert dan akan redirect ke halaman index.php
	                    //silahkan ganti index.php sesuai halaman yang akan dituju
	                    //echo "<script>alert('Data berhasil ditambah.');window.location='daftar.php';</script>";
	                    echo "Anda Berhasil Mendaftar <br>";
	                    echo	"No Pasien : <br>";
	                    echo	"Nama Pasien : $namapasien <br>";
	                    echo	"Poliklinik :$kodepoli <br>";
	                    echo "No Pendaftaran : $noPendaftaran <br>";
	                   
					  }	
			endif;
			break;
		
		case 'hapus_pendaftaran' :
		$nopendaftaran = $_GET['nopendaftaran'];
			$query = "DELETE FROM pendaftaran WHERE nopendaftaran = '$nopendaftaran'" ;
			$result = mysqli_query($koneksi, $query);
			if(!$result)
				{
                      die ("Query gagal dijalankan: ".mysqli_errno($koneksi)." - ".mysqli_error($koneksi));
                  } 
                  else 
                  {
                    //tampil alert dan akan redirect ke halaman index.php
                    //silahkan ganti index.php sesuai halaman yang akan dituju
                    //echo "<script>alert('Data berhasil ditambah.');window.location='daftar.php';</script>";
                    header("location:index.php");
                   
				  }	
			
			break;
	}
			
?>